Bug 878439 - Differences between rebased sudo in RHEL-6.4 and RHEL-7.0
Differences between rebased sudo in RHEL-6.4 and RHEL-7.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo (Show other bugs)
7.0
All Linux
high Severity high
: beta
: 7.0
Assigned To: Daniel Kopeček
Aleš Mareček
: Rebase
Depends On: 839570 971013 982702
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 07:46 EST by Aleš Mareček
Modified: 2014-06-18 03:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: sudo-1.8.6p7-4.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:14:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2012-11-20 07:46:31 EST
Description of problem:
There are differences between rebases of sudo in RHEL-6.4 and RHEL-7.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -q sudo
2. rpm -ql sudo | grep '/etc'

  
Actual results:
RHEL-6.4:
=========
[root@dhcp-25-53 ~]# rpm -q sudo
sudo-1.8.6p3-5.el6.x86_64
[root@dhcp-25-53 ~]# rpm -ql sudo | grep '/etc'
/etc/pam.d/sudo
/etc/pam.d/sudo-i
/etc/sudo-ldap.conf
/etc/sudo.conf
/etc/sudoers
/etc/sudoers.d

RHEL-7.0:
=========
i:ppc64|m:ppc64 root@ibm-p730-03-lp3 [~]# rpm -q sudo
sudo-1.8.6p3-1.el7.ppc64
i:ppc64|m:ppc64 root@ibm-p730-03-lp3 [~]# rpm -ql sudo | grep '/etc'
/etc/pam.d/sudo
/etc/pam.d/sudo-i
/etc/sudoers
/etc/sudoers.d

Expected results:
RHEL-7's sudo should contain /etc/sudo.conf and /etc/sudo-ldap.conf. It might also need additional investigation of functionality comparing both versions.

Additional info:
Comment 1 Aleš Mareček 2012-11-20 09:12:50 EST
RHEL-6.4:
=========
$ sudo -V | grep /etc/ldap.conf ; echo $?
1

RHEL-7.0:
=========
i:ppc64|m:ppc64 root@ibm-p730-03-lp3 [bz652726-sudo-and-nss_ldap-use-the-same-ldap-config]# sudo -V | grep /etc/ldap.conf ; echo $?
ldap.conf path: /etc/ldap.conf
0
Comment 2 Aleš Mareček 2013-05-20 05:20:39 EDT
Hi Dan,
why is this bug in MODIFIED state? I don't see any change in the package, "fixed in version" is empty also. What changed, what's the decision of this bug?
Thanks and Regards!

Tested package: sudo-1.8.6p7-2.el7.x86_64

I'm switching back this bug to ASSIGNED.
Comment 3 Lukas "krteknet" Novy 2013-07-09 11:47:45 EDT
Rebased rhel7 package is missing plenty of patches that rhel6 do have.
This should have been discovered by Regression testing in Tiers. 
For now there are at two patches that needs to be brought forward, see Depends on bugs.
Comment 4 Lukas "krteknet" Novy 2013-07-09 12:28:16 EDT
These are the patches and config files are missing:

sudo-1.7.4p5-sudo-ldap.conf
sudo-1.8.6p3-aliaswarnonly.patch
sudo-1.8.6p3-auditeditor.patch
sudo-1.8.6p3-auditrolechange.patch
sudo-1.8.6p3-cyclesegv.patch
sudo-1.8.6p3-emallocfail.patch
sudo-1.8.6p3-ldapconfparse.patch
sudo-1.8.6p3-ldap-sssd-usermatch.patch
sudo-1.8.6p3-mantypo.patch
sudo-1.8.6p3-noauthwarn-regression.patch
sudo-1.8.6p3-nowaitopt.patch
sudo-1.8.6p3-sssd-noise.patch
sudo-1.8.6p3-sudo.conf
sudo-1.8.6p3-sudoedit-selinux.patch

Dan, could you please justify the removal of each of these? Test coverage is a bit messy in this area and this would help us find whether our tests or the features are broken.
Comment 5 Daniel Kopeček 2013-07-29 04:11:35 EDT
(In reply to Aleš Mareček from comment #0)
> Description of problem:
> There are differences between rebases of sudo in RHEL-6.4 and RHEL-7.0.

Fixed.

(In reply to Lukas -krtek.net- Novy from comment #4)
> These are the patches and config files are missing:
> 
> sudo-1.7.4p5-sudo-ldap.conf
> sudo-1.8.6p3-aliaswarnonly.patch
> sudo-1.8.6p3-auditeditor.patch
> sudo-1.8.6p3-auditrolechange.patch
> sudo-1.8.6p3-emallocfail.patch
> sudo-1.8.6p3-ldapconfparse.patch
> sudo-1.8.6p3-ldap-sssd-usermatch.patch
> sudo-1.8.6p3-mantypo.patch
> sudo-1.8.6p3-nowaitopt.patch
> sudo-1.8.6p3-sssd-noise.patch
> sudo-1.8.6p3-sudo.conf
> sudo-1.8.6p3-sudoedit-selinux.patch

Added in the latest build.

> sudo-1.8.6p3-noauthwarn-regression.patch
> sudo-1.8.6p3-cyclesegv.patch

Removed. They were accepted upstream and are
part of 1.8.6p7 sources.

Dan K.
Comment 10 Ludek Smid 2014-06-13 08:14:01 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.